SellAuth

Whitelist

Export Whitelist

Exports the whitelist entries to CSV.

GET
/v1/shops/{shopId}/whitelist/export

Authorization

AuthorizationRequiredBearer <token>

You can retrieve your API key by visiting your dashboard and clicking Account > API.

In: header

Request Body

application/jsonOptional
pageinteger
perPageinteger

Must be at least 1. Must not be greater than 100.

orderColumnstring
Value in: "id" | "value" | "type" | "reason" | "enabled" | "created_at"
orderDirectionstring
Value in: "asc" | "desc"
idstring
typesarray<string>
valuestring
reasonstring
payment_method_idsobject
enabledboolean
active_fromstring

Must be a valid date.

active_tostring

Must be a valid date. Must be a date after active_from.

created_at_fromstring

Must be a valid date.

created_at_tostring

Must be a valid date. Must be a date after created_at_from.

Path Parameters

shopIdRequiredinteger

The shop ID.

curl -X GET "https://api.sellauth.com/v1/shops/{shopId}/whitelist/export" \
  -H "Authorization: Bearer <token>" \
  -H "Content-Type: application/json" \
  -d '{
    "page": 12,
    "perPage": 1,
    "orderColumn": "id",
    "orderDirection": "asc",
    "id": "culpa",
    "types": [
      "isp"
    ],
    "value": "culpa",
    "reason": "culpa",
    "payment_method_ids": null,
    "enabled": false,
    "active_from": "2026-07-23T12:49:44",
    "active_to": "2084-07-01",
    "created_at_from": "2026-07-23T12:49:44",
    "created_at_to": "2084-07-01"
  }'

{
  "message": "Unauthenticated."
}

Get Whitelist

Retrieves the whitelist entries.

GET
/v1/shops/{shopId}/whitelist

Authorization

AuthorizationRequiredBearer <token>

You can retrieve your API key by visiting your dashboard and clicking Account > API.

In: header

Request Body

application/jsonOptional
pageinteger
perPageinteger

Must be at least 1. Must not be greater than 100.

orderColumnstring
Value in: "id" | "value" | "type" | "reason" | "enabled" | "created_at"
orderDirectionstring
Value in: "asc" | "desc"
idstring
typesarray<string>
valuestring
reasonstring
payment_method_idsobject
enabledboolean
active_fromstring

Must be a valid date.

active_tostring

Must be a valid date. Must be a date after active_from.

created_at_fromstring

Must be a valid date.

created_at_tostring

Must be a valid date. Must be a date after created_at_from.

Path Parameters

shopIdRequiredinteger

The shop ID.

curl -X GET "https://api.sellauth.com/v1/shops/{shopId}/whitelist" \
  -H "Authorization: Bearer <token>" \
  -H "Content-Type: application/json" \
  -d '{
    "page": 12,
    "perPage": 1,
    "orderColumn": "id",
    "orderDirection": "asc",
    "id": "culpa",
    "types": [
      "isp"
    ],
    "value": "culpa",
    "reason": "culpa",
    "payment_method_ids": null,
    "enabled": false,
    "active_from": "2026-07-23T12:49:44",
    "active_to": "2084-07-01",
    "created_at_from": "2026-07-23T12:49:44",
    "created_at_to": "2084-07-01"
  }'

{
  "message": "Unauthenticated."
}

Create Whitelist Entry

Creates a new whitelist entry.

POST
/v1/shops/{shopId}/whitelist

Authorization

AuthorizationRequiredBearer <token>

You can retrieve your API key by visiting your dashboard and clicking Account > API.

In: header

Request Body

application/jsonRequired
valueRequiredstring
typeRequiredstring
Value in: "email" | "email_domain" | "discord_id" | "country_code" | "city" | "ip" | "ip_range" | "isp" | "asn" | "user_agent"
reasonstring
payment_method_idsarray<string>
enabledboolean
active_fromstring

Must be a valid date. Must be a date before 2038-01-19.

active_tostring

Must be a valid date. Must be a date after active_from. Must be a date before 2038-01-19.

Path Parameters

shopIdRequiredinteger

The shop ID.

curl -X POST "https://api.sellauth.com/v1/shops/{shopId}/whitelist" \
  -H "Authorization: Bearer <token>" \
  -H "Content-Type: application/json" \
  -d '{
    "value": "culpa",
    "type": "isp",
    "reason": "culpa",
    "payment_method_ids": null,
    "enabled": false,
    "active_from": "2020-08-07",
    "active_to": "2020-08-07"
  }'

Get Whitelist Entry

Retrieves a specific whitelist entry.

GET
/v1/shops/{shopId}/whitelist/{whitelistId}

Authorization

AuthorizationRequiredBearer <token>

You can retrieve your API key by visiting your dashboard and clicking Account > API.

In: header

Path Parameters

shopIdRequiredinteger

The shop ID.

whitelistIdRequiredinteger

The whitelist entry ID.

curl -X GET "https://api.sellauth.com/v1/shops/{shopId}/whitelist/{whitelistId}" \
  -H "Authorization: Bearer <token>"

{
  "message": "Unauthenticated."
}

Delete Whitelist Entry

Deletes a specific whitelist entry.

DELETE
/v1/shops/{shopId}/whitelist/{whitelistId}

Authorization

AuthorizationRequiredBearer <token>

You can retrieve your API key by visiting your dashboard and clicking Account > API.

In: header

Path Parameters

shopIdRequiredinteger

The shop ID.

whitelistIdRequiredinteger

The whitelist entry ID.

curl -X DELETE "https://api.sellauth.com/v1/shops/{shopId}/whitelist/{whitelistId}" \
  -H "Authorization: Bearer <token>"

Update Whitelist Entry

Updates a specific whitelist entry.

PUT
/v1/shops/{shopId}/whitelist/{whitelistId}/update

Authorization

AuthorizationRequiredBearer <token>

You can retrieve your API key by visiting your dashboard and clicking Account > API.

In: header

Request Body

application/jsonRequired
idRequiredinteger
valueRequiredstring
typeRequiredstring
Value in: "email" | "email_domain" | "discord_id" | "country_code" | "city" | "ip" | "ip_range" | "isp" | "asn" | "user_agent"
reasonstring
payment_method_idsarray<string>
enabledboolean
active_fromstring

Must be a valid date. Must be a date before 2038-01-19.

active_tostring

Must be a valid date. Must be a date after active_from. Must be a date before 2038-01-19.

Path Parameters

shopIdRequiredinteger

The shop ID.

whitelistIdRequiredinteger

The whitelist entry ID.

curl -X PUT "https://api.sellauth.com/v1/shops/{shopId}/whitelist/{whitelistId}/update" \
  -H "Authorization: Bearer <token>" \
  -H "Content-Type: application/json" \
  -d '{
    "id": 12,
    "value": "culpa",
    "type": "isp",
    "reason": "culpa",
    "payment_method_ids": null,
    "enabled": false,
    "active_from": "2020-08-07",
    "active_to": "2020-08-07"
  }'

Toggle Whitelist Entry Status

Toggles the active status of a specific whitelist entry.

POST
/v1/shops/{shopId}/whitelist/{whitelistId}/toggle

Authorization

AuthorizationRequiredBearer <token>

You can retrieve your API key by visiting your dashboard and clicking Account > API.

In: header

Path Parameters

shopIdRequiredinteger

The shop ID.

whitelistIdRequiredinteger

The whitelist entry ID.

curl -X POST "https://api.sellauth.com/v1/shops/{shopId}/whitelist/{whitelistId}/toggle" \
  -H "Authorization: Bearer <token>"